Package org.apache.solr.client.solrj.impl

## Class LBSolrClient.ServerIterator

- java.lang.Object
- - org.apache.solr.client.solrj.impl.LBSolrClient.ServerIterator

Enclosing class:
  LBSolrClient

    protected static class LBSolrClient.ServerIterator
    extends Object

### Constructor Summary

Constructors
`ServerIterator​(LBSolrClient.Req req, Map<String,​LBSolrClient.ServerWrapper> zombieServers)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `hasNext()`
`String` `nextOrError()`
`String` `nextOrError​(Exception previousEx)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ServerIterator

    public ServerIterator​(LBSolrClient.Req req,
                          Map<String,​LBSolrClient.ServerWrapper> zombieServers)

### Method Detail

#### hasNext

    public boolean hasNext()

#### nextOrError

    public String nextOrError()
                       throws SolrServerException

Throws:
  `SolrServerException`

#### nextOrError

    public String nextOrError​(Exception previousEx)
                       throws SolrServerException

Throws:
  `SolrServerException`